Ask Your Question
0

Which VStudio version for pre-built?

asked 2015-07-28 09:37:45 -0500

TerryJ gravatar image

Hi, I would like to use the prebuilt binaries for opencv 3.0. The documentation says, the latest Visual studio version must be used. So, is it VS 2015?

Pardon me, but I have searched all over the place. I can't find a line that says "which version of Visual studio goes with prebuilt opencv 3.0?" . Could you clarify please? (Still better please let me know where this is specified as I am curious to know how I could have missed this in the docs.) Best T

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
2

answered 2015-07-28 09:54:50 -0500

Eduardo gravatar image

updated 2015-07-28 10:04:36 -0500

When you download OpenCV 3.0 for Windows, you will find the following pre-built:

  • build/[x64|x86]/vc11/ ==> Visual Studio 2012
  • build/[x64|x86]/vc12/ ==> Visual Studio 2013

So the pre-built are only for these two version of Visual Studio, both for debug or release mode. If you want to use a more recent / older version of Visual Studio, you have to build it yourself using CMake.


VC correspondence:

  • vc8 ==> Visual Studio 2005
  • vc9 ==> Visual Studio 2008
  • vc10 ==> Visual Studio 2010
  • vc11 ==> Visual Studio 2012
  • vc12 ==> Visual Studio 2013
edit flag offensive delete link more

Comments

1

Ah! I see. If I downloaded it, I would have known. Alright. Thank you very much for the clear answer. Since, I have vc10, guess I have to build it using cmake.

TerryJ gravatar imageTerryJ ( 2015-07-28 10:19:24 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2015-07-28 09:37:45 -0500

Seen: 244 times

Last updated: Jul 28 '15